Retrieve Project
curl --request GET \
--url https://api.taap.it/v1/projects/{project_id} \
--header 'Authorization: <authorization>'import requests
url = "https://api.taap.it/v1/projects/{project_id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.taap.it/v1/projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"created_at": "<string>"
}Projects API
Retrieve Project
Retrieve details for a specific project
GET
/
v1
/
projects
/
{project_id}
Retrieve Project
Request:
Response:
cURL
curl -X GET 'https://api.taap.it/v1/projects/project_987654321' \
-H 'Authorization: Bearer taapit_your_api_key_here'
{
"id": "project_987654321",
"name": "Summer Marketing Campaign",
"description": "Links for our summer marketing campaign",
"created_at": "2024-01-15T10:30:00Z"
}
Authorization
string
required
Bearer token for API authentication. Format:
Bearer YOUR_API_KEYPath Parameters
string
required
Unique identifier for the project
Response Fields
string
required
Unique identifier for the project
string
required
Name of the project
string
Description of the project
string
required
ISO 8601 timestamp when the project was created
⌘I